## gate.gui
Class UserPasswordDialog

    java.lang.Object
      |
      +--gate.gui.UserPasswordDialog

public class UserPasswordDialog
extends Object

Field Summary
`(package private) String` `userName`
`(package private) String` `userPass`

Constructor Summary
`UserPasswordDialog()`

Method Summary
`String` `getPassword()`
`String` `getUserName()`
`boolean` `showPasswordDialog(String message, Component parent)`

Methods inherited from class java.lang.Object
`<clinit>, clone, equals, finalize, getClass, hashCode, notify, notifyAll, registerNatives, toString, wait, wait, wait`

Field Detail

### userName

    String userName

### userPass

    String userPass

Constructor Detail

### UserPasswordDialog

    public UserPasswordDialog()

Method Detail

### showPasswordDialog

    public boolean showPasswordDialog(String message,
                                      Component parent)

### getUserName

    public String getUserName()

### getPassword

    public String getPassword()